{
  description = "Immae Specific uids";

  outputs = { self }: {
    lib = {
      # Check that there is no clash with nixos/modules/misc/ids.nix
      uids = {
        postfixscripts = 387;
        acme = 388;
        backup = 389;
        vhost = 390;
        openarc = 391;
        opendmarc = 392;
        peertube = 394;
        redis = 395;
        nullmailer = 396;
        mediagoblin = 397;
        diaspora = 398;
        mastodon = 399;
      };
      gids = {
        nagios = 11; # commented in the ids file
        acme = 388;
        backup = 389;
        vhost = 390;
        openarc = 391;
        opendmarc = 392;
        peertube = 394;
        redis = 395;
        nullmailer = 396;
        mediagoblin = 397;
        diaspora = 398;
        mastodon = 399;
      };
    };
    nixosModule = { ... }: {
      config = {
        ids.uids = self.lib.uids;
        ids.gids = self.lib.gids;
      };
    };
  };
}
